*, *::before, *::after {
    box-sizing: border-box;
}

img {
    position: absolute;
    width: 100%;
    height: 100vh;
    object-fit: cover; /* Maintain aspect ratio and cover entire container */
}

.image-slider {
    width: 100%;
    height: 100vh;
    position: relative;
    overflow: hidden; 
    /* Hide overflowing content */
}

.image-slider > ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.slide {
    inset: 0;
    opacity: 0;
}

.slide > img {
    display: block;
    width: 100%;
    height: 100%;
}

.slide[data-active] {
    opacity: 1;
}

.prev, .next {
    position: absolute;
    z-index: 1;
    background: none;
    border: none;
    font-size: 4rem;
    top: 50%;
    transform: translateY(-50%);
    color: rgb(13, 13, 13);
    cursor: pointer;
    border-radius: 0.25rem;
    padding: 0.5rem;
    background-color: rgb(239, 235, 235);
}

.next:hover, .prev:hover {
    color: rgb(91, 221, 244);
    background-color: rgba(80, 78, 78, 0.6);
    border: 0.2rem solid rgb(0, 0, 0);
    border-radius: 0.3rem;
}

.prev {
    left: 1rem;
}

.next {
    right: 1rem;
}

/* Add a media query to adjust styles for smaller screens */
@media (max-width: 600px) {
    img {
        /* display: block; */
        width: 100%;
        /* height: auto; */
        left: 0; 
    }

    .prev, .next {
        font-size: 2rem;
    }
}
